//
//  PlayerView.swift
//  DouShouQiIOS
//
//  Created by Pierre FERREIRA on 13/05/2024.
//

import SwiftUI

struct PlayerView: View {
    //var Player : Player;
    var name : String
    var age: Int
    var winLossRatio: Double
    var gamesPlayed: Int
    var wins: Int
    var losses: Int
    var histoMatches : [ Match ]
    
    var body: some View {
        ZStack{
            /*Rectangle().fill(Color.orange.opacity(0.1))*/
            NavigationStack{
                VStack{
                    Image("Blob")
                        .resizable()
                        .aspectRatio(contentMode: .fit)
                        .clipShape(Circle())
                        .overlay(Circle().strokeBorder(Color.orange, lineWidth: 2))
                        .scaleEffect(1)
                        .transformEffect(.identity)
                    
                    Spacer()
                
                    VStack(alignment: .center){
                        Text("\(name) Sname")
                            .font(.largeTitle)
                            .foregroundColor(Color.white)

                    
                        Text("1")
                            .font(.title2)
                            .foregroundColor(Color.white)
                            .frame(width: 35, height: 35, alignment: .center)
                            .padding(5)
                            .overlay(
                                Circle()
                                    .fill(Color.orange.opacity(0.3))
                            )
                    
                    }.frame(width: 200, height: 150)
                    
                        
                    
                }.frame(maxWidth: .infinity)
                .padding(20)
                .background(Color.yellow)
                .cornerRadius(50)
                .shadow(color: .gray, radius: 3, x: 2, y: 2)
                .padding(20)
                
                    
                Spacer()
                
                VStack{
                    Text("Statistiques")
                        .fontWeight(.heavy)
                        .font(.largeTitle)
                        .foregroundColor(Color.yellow)

                    Grid{
                        GridRow{
                            DoubleTextDisplay(textL: "Nombre de victoires", textR: "9")
                        }
                            
                        
                        GridRow{
                            HStack{
                                Text("Nombre de défaites").frame(width: 100, height: 50, alignment: .center)
                                Text("5")
                            }
                        }   .frame(width: 150)
                            .background(Color.orange.opacity(0.3))
                            .cornerRadius(15)
                        
                        GridRow{
                            HStack{
                                Text("Nombre de parties jouées").frame(width: 100, height: 50, alignment: .center)
                                Text("14")
                            }
                        }   .frame(width: 150)
                            .background(Color.orange.opacity(0.3))
                            .cornerRadius(15)
                    }.frame(
                        minWidth: 0,
                        maxWidth: .infinity,
                        alignment: .center
                      )
                    Spacer()

                }
                .foregroundStyle(.white)
                .overlay(
                    RoundedRectangle(cornerRadius: 16)
                    .stroke(.yellow, lineWidth: 5)
                )
                .padding(20)                
                
                Spacer()
                
                NavButton("Historique", destinationView: {HistoryView(playerName: name, matches: histoMatches)})
                                    .padding(.top, 20)
            }
        }
        
    }
}

struct PlayerView_Previews: PreviewProvider {
    
    static var previews: some View {
        /*var player1 = new Player(Player(withName: "Meruemu", andSName: "Roi", andId: 2, andAge: 1)*/
        let stubedMatches = [
            Match(gameEndScreen: "opponent1", opponent: "Opponent 1", score: "3-2", result: "Victoire"),
            Match(gameEndScreen: "opponent2", opponent: "Opponent 2", score: "1-3", result: "Défaite"),
            Match(gameEndScreen: "opponent3", opponent: "Opponent 3", score: "2-2", result: "Nul")
        ]
        PlayerView(name: "bro",  age: 18, winLossRatio: 1.0, gamesPlayed: 10, wins: 5, losses: 5, histoMatches : stubedMatches)
    }
}


